Subject: Re: [PATCH 6/7] mergetools: Fix difftool/mergetool --tool-help listing for vim

From: John Keeping <[email-masked]>
Date: Fri, 25 Jan 2013 10:38:45 +0000

On Fri, Jan 25, 2013 at 01:43:53AM -0800, David Aguilar wrote:
> "git difftool --tool-help" and "git mergetool --tool-help" incorreclty
> list "vim" as being an unavailable tool.  This is because they attempt
> to find a tool named according to the mergetool scriptlet instead of the Git-
> recognized tool name.

Actually, after my patches both git-difftool and git-mergetool get this
right since list_merge_tool_candidates lists vimdiff and gvimdiff.

> vimdiff, vimdiff2, gvimdiff, and gvimdiff2 are all provided by the "vim"
> scriptlet.  This required git-mergetool--lib to special-case it when
> setting up the tool.
> 
> Remove the exception for "vim" and allow the scriptlets to be found
> naturally by using symlinks to a single "vimdiff" scriptlet.

I wonder if it would be better to make these single-line scripts instead
of symlinks:

    . "$MERGE_TOOLS_DIR"/vimdiff

where we make git-mergetool--lib.sh export:

    MERGE_TOOLS_DIR=$(git --exec-path)/mergetools

John